{ nixpkgs ? import <nixpkgs> {} }:

with nixpkgs;

let
  easy-hls-src = fetchFromGitHub {
    owner = "ssbothwell";
    repo = "easy-hls-nix";
    inherit (builtins.fromJSON (builtins.readFile ./easy-hls-nix.json)) rev sha256;
  };
  easy-hls = callPackage easy-hls-src { ghcVersions = [ hp.ghc.version ]; };
  hp = haskellPackages.extend (self: super: {
    FeedMonad = self.callPackage ./FeedMonad {};
    FeedMonad-demo = self.callPackage ./FeedMonad-demo {};
  });

in

hp.shellFor {
  packages = h: [h.FeedMonad h.FeedMonad-demo];
  withHoogle = true;
  buildInputs = [
    entr
    cabal-install
    haskellPackages.hlint
    stylish-haskell
    ghcid
    easy-hls

    sqlite-interactive

    haskellPackages.graphmod
  ];
}

